Package org.snpsift.lang.expression

# Class FieldNmd

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.Field
org.snpsift.lang.expression.FieldSub
org.snpsift.lang.expression.FieldLof
org.snpsift.lang.expression.FieldNmd

public class FieldNmd extends FieldLof
A NMD field form SnpEff: E.g.: 'NMD[2].GENE'

Author:
  pablocingolani

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.Field

`exceptionIfNotFound, name, number, returnType, TYPE_ALL, TYPE_ANY, vcfInfo, vcfInfoNumber`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`FieldNmd(String name, Expression indexExpr)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`init()`

### Methods inherited from class org.snpsift.lang.expression.FieldLof

`getFieldString, getName, getReturnType, toString`

### Methods inherited from class org.snpsift.lang.expression.FieldSub

`evalIndex, evalIndex, evalIndex, evalIndex, getFieldString, isSub`

### Methods inherited from class org.snpsift.lang.expression.Field

`eval, eval, fieldHeaderNotFound, fieldNotFound, getReturnType, getSampleNum, gtFieldNotFound, indexStr, isSampleName, returnType, returnType, setExceptionIfNotFound`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldNmd

public FieldNmd(String name, Expression indexExpr)

## Method Details

### init

protected void init()

Overrides:
  `init` in class `FieldLof`